@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";

#full-page {
  .hero {
    .side-right {
      width: 100%;
      overflow: hidden;
      @include media-breakpoint-up(md) {
        width: 50%;
      }
      height: 100vh;

      img {
        height: 100%;
        @include media-breakpoint-up(md) {
          transform: translateX(-20%);
        }
      }
    }

    .side-left {
      width: 100%;

      @include media-breakpoint-up(md) {
        width: 50%;
      }
      @include media-breakpoint-down(md) {
        position: absolute;
        z-index: 1;
        inset: 0;
        display: flex;
        align-items: center;
      }

      .content {
        margin: 0 auto;
        width: 65%;

        h1 {
          font-size: 3rem;
          margin-bottom: .3em;
          @include media-breakpoint-down(md) {
            font-size: 4rem;
            color: white;
          }
        }

        p {
          @include media-breakpoint-down(md) {
            color: #e2e2e2;
            font-size: 1.2rem;
          }
        }

        .buttons {
          button {
            border: 0;
            background-color: transparent;
            text-transform: uppercase;
            font-weight: 600;
            white-space: nowrap;
            letter-spacing: 1px;
            @include media-breakpoint-down(lg) {
              font-size: .7rem;
            }

            &.git-in-touch {
              background-color: #ff3030;
              margin-right: 2em;
              @include media-breakpoint-down(lg) {
                padding: .8em 1em;
              }
              transition: background-color ease-in-out 100ms;
              padding: 1em 1.5em;
              border-radius: 30px;
              color: white;

              &:hover {
                background-color: #171717;
              }
            }

            &.watch-video {
              transition: all ease-in-out 100ms;
              @include media-breakpoint-down(md) {
                color: white;
                fill: white;
                svg {
                  width: 35px;
                  height: 35px;
                }
              }

              span {
                margin-right: 1em;
                vertical-align: middle;

              }

              svg {
                @include media-breakpoint-down(lg) {
                  width: 25px;
                  height: 25px;
                }
                width: 35px;
                height: 35px;
              }

              &:hover {
                color: #f51515;
              }
            }
          }
        }
      }

      img {
        height: 100%;
      }

    }
  }

  .section-two {
    .box-img {
      overflow: hidden;

      @include media-breakpoint-up(md) {
        border-top-right-radius: 30px;
        border-bottom-right-radius: 30px;
      }

      img {
        @include media-breakpoint-down(md) {
          height: 50vh;
        }
        height: 70vh;
      }
    }

    .box {

      @include media-breakpoint-down(mg) {
        padding: 2em 0;
      }


    }
  }

  .section-three {
    @extend .section-two;

    .box-img {
      @include media-breakpoint-up(md) {
        border-radius: 30px 0 0 30px;
      }
    }
  }
}


